Update the fields of a product child items (PCI) by specifying its ID and the fields to update in the request body.
PUT /v2/epc/productchilditems/
Remote Method
updatePCI
REST Handler
APIProductChildItemRestHandler
Apex Remote Service
PCAppHandler
Package
Communication (vlocity_cmt)
API Parameters and Response Format
For API parameter names and descriptions, see the Swagger (OpenAPI) reference documentation for Industries EPC REST APIs.
Resource Information
| Response Format | JSON |
|---|---|
| Resource URL | /services/apexrest/{namespace}/v2/epc/productchilditems/ |
Example Request
PUT /v2/epc/productchilditems/
{
"epcRequest": {
"entity": {
"Id": "a3C3h000000Je8oEAC",
"vlocity_cmt__ChildLineNumber__c": "2"
}
}
}
Example Result
{
"epcResponse": {
"entities": [
{
"entity": {
"attributes": {
"type": "vlocity_cmt__ProductChildItem__c",
"url": "/services/data/v53.0/sobjects/vlocity_cmt__ProductChildItem__c/a3C3h000000Je8oEAC"
},
"Id": "a3C3h000000Je8oEAC"
}
}
],
"overallResult": "success"
}